C# Class Revit.SDK.Samples.CreateBeamSystem.CS.GeometryUtil

utility class contains some methods deal with 3D arithmetic
Afficher le fichier Open project: AMEE/revit

Méthodes publiques

Свойство Type Description
CreApp Autodesk.Revit.Creation.Application

Méthodes publiques

Méthode Description
CompareXYZ ( Autodesk pnt1, Autodesk pnt2 ) : bool

judge whether two XYZs are equal

InSameHorizontalPlane ( List lines ) : bool

judge whether the lines are in the same horizontal plane

SortLines ( List originLines ) : List

sorted lines end to end to make a closed loop profile if input lines can't make a profile, null will return

Private Methods

Méthode Description
ConvertTo2DLine ( System.Line line ) : Line2D

use the X and Y coordinate of 3D Line to new a Line2D instance

Method Details

CompareXYZ() public static méthode

judge whether two XYZs are equal
public static CompareXYZ ( Autodesk pnt1, Autodesk pnt2 ) : bool
pnt1 Autodesk first XYZ
pnt2 Autodesk second XYZ
Résultat bool

InSameHorizontalPlane() public static méthode

judge whether the lines are in the same horizontal plane
public static InSameHorizontalPlane ( List lines ) : bool
lines List lines to be judged
Résultat bool

SortLines() public static méthode

sorted lines end to end to make a closed loop profile if input lines can't make a profile, null will return
public static SortLines ( List originLines ) : List
originLines List lines to be sorted
Résultat List

Property Details

CreApp public_oe static_oe property

The Application Creation object is used to create new instances of utility objects.
public static Autodesk.Revit.Creation.Application CreApp
Résultat Autodesk.Revit.Creation.Application